Python: Ingen modul kalt core.exceptions

stemmer
3

Jeg prøver å få Google AppEngine å jobbe på min Debian boks og jeg får følgende feilmelding når jeg prøver å få tilgang til min side:

<type 'exceptions.ImportError'>: No module named core.exceptions 

Det samme app fungerer fint for meg når jeg kjører det på min andre Ubuntu-boksen, så jeg vet det ikke er et problem med app selv. Men jeg trenger å få det til å fungere på denne Debian-boksen. Det hadde opprinnelig python 2.4, men etter AppEngine klaget om det jeg installerte python2.5 og python2.5-dev pakker (til ingen nytte).

Jeg så på denne Google-gruppen innlegget at det kan være på grunn av den versjonen av AppEngine og bare for å installere det på nytt, men det fungerte ikke. Noen ideer?

Edit 1: Også prøvd å avinstallere python2.4 og 2,5 deretter installere 2.5, som også fungerte ikke.

Edit 2: Det viser seg at når jeg gjorde AppEngine til en CVS prosjekt det gjorde ikke legge kjernen katalogen til prosjektet mitt, så når jeg sjekket det ut bokstavelig talt var ingen modul kalt core.exceptions. Re-nedlasting mappen løst problemet.

Publisert på 07/09/2008 klokken 20:57
kilden bruker
På andre språk...                            


1 svar

stemmer
5

core.exceptionser en del av django; hvilken versjon av Django har du installert? Den AppEngine kommer med den riktige versjonen uansett meldingen du har lastet ned (i lib / Django katalogen). Det kan installeres ved å gå til denne katalogen og kjørerpython setup.py install

Svarte 07/09/2008 kl. 21:28
kilden bruker

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more